import request from '@/utils/request'

export function getPointList(params) {
    return request({
        url: '/inspection/waypoint/list', 
        method: 'get',
        params: params
    })
}

export function addPoint(data) {
    return request({
        url: '/inspection/waypoint',
        method: 'post',
        data: data
    })
}

export function updatePoint(data) {
    return request({
        url: '/inspection/waypoint',
        method: 'put',
        data: data
    })
}

export function deletePoint(id) {
    return request({
        url: `/inspection/waypoint/${id}`,
        method: 'delete'
    })
}